Bug 160417 - Bad: cannot make any changes to network settings
Bad: cannot make any changes to network settings
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On: 180267
Blocks: 87718
  Show dependency treegraph
Reported: 2005-06-14 19:05 EDT by Luis Correia
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-24 07:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luis Correia 2005-06-14 19:05:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Bad: The program simply will not work.

[root@localhost ~]$ system-config-network
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 15, in ?
    locale.setlocale(locale.LC_ALL, "")
  File "/usr/lib/python2.4/locale.py", line 379, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. installed via network (PXE-like)
2. choose the packages to install manually
3. after reboot, login as 'root', run 'system-config-network' from any console

Additional info:
Comment 1 Luis Correia 2005-06-14 19:12:51 EDT
Here is the resulting kickstart file. some parts are from my setup, package
selection was filled in by anaconda

# Kickstart file automatically generated by anaconda.

url --url
lang en_EN
langsupport --default=en_EN
keyboard pt-latin1
xconfig --card "ATI Mach64" --videoram 8128 --hsync 31.5-37.9 --vsync 50.0-61.0
--resolution 800x600 --depth 16 --startxonboot  --defaultdesktop gnome
network --device eth0 --bootproto dhcp
rootpw --iscrypted $1$99mmmoAh$pxMbuKPSbLPD4TtkNoflW0
firewall --disabled
selinux --enforcing
authconfig --enableshadow --enablemd5
timezone --utc Europe/Lisbon
bootloader --location=mbr --driveorder=hda --append="quiet rhgb quiet"
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
#clearpart --all --initlabel
#part /boot --fstype ext3 --size=128 --asprimary
#part / --fstype ext3 --size=1500 --grow
#part swap --size=256 --grow --maxsize=512

@ editors
@ system-tools
@ gnome-software-development
@ x-software-development
@ gnome-desktop
@ base-x
@ printing
@ kde-software-development
@ kde-desktop
@ development-tools
@ graphical-internet

Comment 2 Harald Hoyer 2005-06-15 04:33:32 EDT
Please execute this line of code:
$ python -c 'import locale;print locale.setlocale(locale.LC_ALL, "")'
Comment 3 Harald Hoyer 2005-06-15 04:35:47 EDT
$ LANG=en_EN python -c 'import locale;print locale.setlocale(locale.LC_ALL, "")'
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "/usr/lib/python2.4/locale.py", line 379, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

hmmm en_EN does not seem to be a supported locale setting... did you mean:
en_GB ??? :)

$ ls -d /usr/lib/locale/en_??
/usr/lib/locale/en_AU  /usr/lib/locale/en_HK  /usr/lib/locale/en_SG
/usr/lib/locale/en_BW  /usr/lib/locale/en_IE  /usr/lib/locale/en_US
/usr/lib/locale/en_CA  /usr/lib/locale/en_IN  /usr/lib/locale/en_ZA
/usr/lib/locale/en_DK  /usr/lib/locale/en_NZ  /usr/lib/locale/en_ZW
/usr/lib/locale/en_GB  /usr/lib/locale/en_PH

Comment 4 Luis Correia 2005-06-15 04:43:43 EDT
Ok, it 'may' not be supported, but this setting worked without problems with

Has this changed?
Comment 5 Luis Correia 2005-06-15 05:30:04 EDT
Please restore the en_EN locale.

It may be considered as 'international English', the one I would use here in

Neither British or American and should be the default locale if none is specified.

Note You need to log in before you can comment on or make changes to this bug.